GNU logs - #50266, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50266: 28.0.50; expand-file-name broken with non ASCII characters
Resent-From: Joakim =?UTF-8?Q?H=C3=A5rsman?= <joakim.harsman@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 30 Aug 2021 12:09:01 +0000
Resent-Message-ID: <handler.50266.B.16303253315394 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 50266
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 50266 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs <bug-gnu-emacs@HIDDEN>
Received: via spool by submit <at> debbugs.gnu.org id=B.16303253315394
          (code B ref -1); Mon, 30 Aug 2021 12:09:01 +0000
Received: (at submit) by debbugs.gnu.org; 30 Aug 2021 12:08:51 +0000
Received: from localhost ([127.0.0.1]:58333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKg5q-0001Ov-Cm
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 08:08:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:33842)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joakim.harsman@HIDDEN>) id 1mKg5l-0001Ol-SQ
 for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 08:08:50 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49010)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <joakim.harsman@HIDDEN>)
 id 1mKg5l-00022B-Ne
 for bug-gnu-emacs@HIDDEN; Mon, 30 Aug 2021 08:08:45 -0400
Received: from mail-pg1-x533.google.com ([2607:f8b0:4864:20::533]:44792)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <joakim.harsman@HIDDEN>)
 id 1mKg5j-0006LW-Fc
 for bug-gnu-emacs@HIDDEN; Mon, 30 Aug 2021 08:08:45 -0400
Received: by mail-pg1-x533.google.com with SMTP id s11so13190551pgr.11
 for <bug-gnu-emacs@HIDDEN>; Mon, 30 Aug 2021 05:08:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=ozoIHdDxX5kzZYuTs2CNVoJXNTIhlIOETSqEdSREu4k=;
 b=nnpnK5q/4KPP4e/V7sJYu//zUOh6OPQOBAB8EVwhACbg5XT2/AOCNzXBAtmPBitKeI
 6YyRyYKrnlOleM3dgYiQ8U3NncoYKtfBH+8EiCnTPCCFeaT8bSiOpQj8ejPuu0w7Fvap
 CbcbUsKWK5Sa8JbNQxvHw6vCQ9Cl+97cakeyOSY2AkX87h8Xkb8sLfHfBNheEfQkmfLS
 /L14+yWRmD3rXSnSHf+6fl1yIAOPKh2PZWyV+1ofE20qj1msTPHWUP1fqtkdCN4orV1c
 vwW9ThGc29EvRa05+5lamXWCCpL7tJERC62ZfQFTDA1c96P43B21LuFHY9z0NUEFwb/K
 7riw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=ozoIHdDxX5kzZYuTs2CNVoJXNTIhlIOETSqEdSREu4k=;
 b=bRJbPgH2LXrxIoHZ6SLpNwHYoVauIx79ngQtu9Ntnv3exNYmoXkVBmTpdC0NG56jfW
 LfreFf1gpv4WgW99a5vVx05WwucNSltLF1DnMYTE1kmrNfEMXRiz70n7sIEaOjsEZ6m0
 jFqTOqSEuVJZRml6DlXHUoxycf+SlU9zrUZDSXezeWnMbUTzrAxC6yEESx96gQqzVcwW
 qZLX6Ok0n3AIPGX2djeVWDVMzW2jJbFzvbDjd8t4JSkA2KgL08Q/guvHqOsc+x5l5zQs
 mEmumkx0EV9q+bKvZ+V70yPnq0JAiCUWg5HK0jkoXvWTYgB/4yEALUgJJlMiSg2moqos
 zNwQ==
X-Gm-Message-State: AOAM531GamytqffNwFImqBFX1MJZD4lB0+sH/LE3T6J9GfD+wI63qYAO
 emMpFjonT++bhTmP+qhdOlxifvcMR2y/jxHHF4BFgyfnXvw=
X-Google-Smtp-Source: ABdhPJw2Nkse6U0Zi/exgk/8sf35sxnzbyPTS9FZ1KQqjJUTKDvDULuoAqr34gWJToE9rFsC7G9JSOiqYY5hnNMmaC4=
X-Received: by 2002:a63:4344:: with SMTP id q65mr21306541pga.364.1630325320494; 
 Mon, 30 Aug 2021 05:08:40 -0700 (PDT)
MIME-Version: 1.0
From: Joakim =?UTF-8?Q?H=C3=A5rsman?= <joakim.harsman@HIDDEN>
Date: Mon, 30 Aug 2021 14:08:29 +0200
Message-ID: <CAFJF9wVConq2b89-Wz+triiPkdjvK27zszfB8qkk6K=3j55VXA@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000098b17c05cac5b195"
Received-SPF: pass client-ip=2607:f8b0:4864:20::533;
 envelope-from=joakim.harsman@HIDDEN; helo=mail-pg1-x533.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--00000000000098b17c05cac5b195
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Bug manifests on Windows 10 ( I haven't tested other versions). Before
starting emacs:

C:\Users\JoakimH=C3=A5rsman>chdir
C:\Users\JoakimH=C3=A5rsman

C:\Users\JoakimH=C3=A5rsman>echo %HOME%
C:\users\JoakimH=C3=A5rsman

C:\Users\JoakimH=C3=A5rsman> runemacs -Q

Notice that the current directory which is the same as the HOME
environment, contains the letter =C3=A5. After starting emacs with runemacs
-Q:

(expand-file-name default-directory)

returns

"c:/users/JoakimH  rsman/"

or alternatively

"c:/users/JoakimH\303\245rsman/"

while the correct return value should be

"c:/users/JoakimH=C3=A5rsman/"


In GNU Emacs 28.0.50 (build 1, x86_64-w64-mingw32)
Repository revision: 7640f1da0be206a7598c96acdfdaaf390a2b546c
Repository branch: master
Windowing system distributor 'Microsoft Corp.', version 10.0.19043
System Description: Microsoft Windows 10 Pro (v10.0.2009.19043.1165)

Configured using:
 'configure --prefix=3D/d/a/emacs-build/emacs-build/pkg/master-x86_64
 --with-native-compilation --with-zlib --with-gnutls --with-xml2
 --with-lcms2 --with-json --with-harfbuzz --without-cairo --with-rsvg
 --with-png --with-gif --without-tiff --with-jpeg --with-xpm
 --disable-build-details --disable-silent-rules --without-dbus
 --without-compress-install'

Configured features:
ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND THREADS TOOLKIT_SCROLL_BARS XPM
ZLIB

Important settings:
  value of $LANG: en_US.UTF8
  locale-coding-system: cp1252

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg epg-config gnus-util rmail
rmail-loaddefs auth-source eieio eieio-core eieio-loaddefs
password-cache json map text-property-search time-date mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail comp comp-cstr warnings subr-x rx cl-seq cl-macs cl-extra
help-mode seq byte-opt gv cl-loaddefs cl-lib bytecomp byte-compile cconv
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils iso-transl
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win w32-vars
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads w32notify w32 lcms2 multi-tty
make-network-process native-compile emacs)

Memory information:
((conses 16 89375 14408)
 (symbols 48 7898 1)
 (strings 32 22918 3463)
 (string-bytes 1 759569)
 (vectors 16 23743)
 (vector-slots 8 1091049 147200)
 (floats 8 29 266)
 (intervals 56 257 0)
 (buffers 992 12))

--00000000000098b17c05cac5b195
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br>Bug manifests on Windows 10 ( I haven&#39;t tested oth=
er versions). Before starting emacs:<br><br>C:\Users\JoakimH=C3=A5rsman&gt;=
chdir<br>C:\Users\JoakimH=C3=A5rsman<br><br>C:\Users\JoakimH=C3=A5rsman&gt;=
echo %HOME%<br>C:\users\JoakimH=C3=A5rsman<br><br>C:\Users\JoakimH=C3=A5rsm=
an&gt; runemacs -Q<br><br>Notice that the current directory which is the sa=
me as the HOME<br>environment, contains the letter =C3=A5. After starting e=
macs with runemacs<br>-Q:<br><br>(expand-file-name default-directory)<br><b=
r>returns<br><br>&quot;c:/users/JoakimH =C2=A0rsman/&quot;<br><br>or altern=
atively<br><br>&quot;c:/users/JoakimH\303\245rsman/&quot;<br><br>while the =
correct return value should be<br><br>&quot;c:/users/JoakimH=C3=A5rsman/&qu=
ot;<br><br><br>In GNU Emacs 28.0.50 (build 1, x86_64-w64-mingw32)<br>Reposi=
tory revision: 7640f1da0be206a7598c96acdfdaaf390a2b546c<br>Repository branc=
h: master<br>Windowing system distributor &#39;Microsoft Corp.&#39;, versio=
n 10.0.19043<br>System Description: Microsoft Windows 10 Pro (v10.0.2009.19=
043.1165)<br><br>Configured using:<br>=C2=A0&#39;configure --prefix=3D/d/a/=
emacs-build/emacs-build/pkg/master-x86_64<br>=C2=A0--with-native-compilatio=
n --with-zlib --with-gnutls --with-xml2<br>=C2=A0--with-lcms2 --with-json -=
-with-harfbuzz --without-cairo --with-rsvg<br>=C2=A0--with-png --with-gif -=
-without-tiff --with-jpeg --with-xpm<br>=C2=A0--disable-build-details --dis=
able-silent-rules --without-dbus<br>=C2=A0--without-compress-install&#39;<b=
r><br>Configured features:<br>ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 L=
IBXML2 MODULES NATIVE_COMP<br>NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND THREA=
DS TOOLKIT_SCROLL_BARS XPM<br>ZLIB<br><br>Important settings:<br>=C2=A0 val=
ue of $LANG: en_US.UTF8<br>=C2=A0 locale-coding-system: cp1252<br><br>Major=
 mode: Lisp Interaction<br><br>Minor modes in effect:<br>=C2=A0 tooltip-mod=
e: t<br>=C2=A0 global-eldoc-mode: t<br>=C2=A0 eldoc-mode: t<br>=C2=A0 elect=
ric-indent-mode: t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 tool-bar-mode: t=
<br>=C2=A0 menu-bar-mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 gl=
obal-font-lock-mode: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 blink-cursor-m=
ode: t<br>=C2=A0 auto-composition-mode: t<br>=C2=A0 auto-encryption-mode: t=
<br>=C2=A0 auto-compression-mode: t<br>=C2=A0 line-number-mode: t<br>=C2=A0=
 indent-tabs-mode: t<br>=C2=A0 transient-mark-mode: t<br><br>Load-path shad=
ows:<br>None found.<br><br>Features:<br>(shadow sort mail-extr emacsbug mes=
sage rmc puny dired dired-loaddefs<br>rfc822 mml mml-sec epa derived epg ep=
g-config gnus-util rmail<br>rmail-loaddefs auth-source eieio eieio-core eie=
io-loaddefs<br>password-cache json map text-property-search time-date mm-de=
code<br>mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailhea=
der<br>sendmail comp comp-cstr warnings subr-x rx cl-seq cl-macs cl-extra<b=
r>help-mode seq byte-opt gv cl-loaddefs cl-lib bytecomp byte-compile cconv<=
br>rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils iso-transl<br>t=
ooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type<br>mwhee=
l dos-w32 ls-lisp disp-table term/w32-win w32-win w32-vars<br>term/common-w=
in tool-bar dnd fontset image regexp-opt fringe<br>tabulated-list replace n=
ewcomment text-mode elisp-mode lisp-mode<br>prog-mode register page tab-bar=
 menu-bar rfn-eshadow isearch easymenu<br>timer select scroll-bar mouse jit=
-lock font-lock syntax font-core<br>term/tty-colors frame minibuffer cl-gen=
eric cham georgian utf-8-lang<br>misc-lang vietnamese tibetan thai tai-viet=
 lao korean japanese eucjp-ms<br>cp51932 hebrew greek romanian slovak czech=
 european ethiopic indian<br>cyrillic chinese composite charscript charprop=
 case-table epa-hook<br>jka-cmpr-hook help simple abbrev obarray cl-preload=
ed nadvice button<br>loaddefs faces cus-face macroexp files window text-pro=
perties overlay<br>sha1 md5 base64 format env code-pages mule custom widget=
<br>hashtable-print-readable backquote threads w32notify w32 lcms2 multi-tt=
y<br>make-network-process native-compile emacs)<br><br>Memory information:<=
br>((conses 16 89375 14408)<br>=C2=A0(symbols 48 7898 1)<br>=C2=A0(strings =
32 22918 3463)<br>=C2=A0(string-bytes 1 759569)<br>=C2=A0(vectors 16 23743)=
<br>=C2=A0(vector-slots 8 1091049 147200)<br>=C2=A0(floats 8 29 266)<br>=C2=
=A0(intervals 56 257 0)<br>=C2=A0(buffers 992 12))<br></div>

--00000000000098b17c05cac5b195--




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Joakim =?UTF-8?Q?H=C3=A5rsman?= <joakim.harsman@HIDDEN>
Subject: bug#50266: Acknowledgement (28.0.50; expand-file-name broken with
 non ASCII characters)
Message-ID: <handler.50266.B.16303253315394.ack <at> debbugs.gnu.org>
References: <CAFJF9wVConq2b89-Wz+triiPkdjvK27zszfB8qkk6K=3j55VXA@HIDDEN>
X-Gnu-PR-Message: ack 50266
X-Gnu-PR-Package: emacs
Reply-To: 50266 <at> debbugs.gnu.org
Date: Mon, 30 Aug 2021 12:09:01 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 50266 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
50266: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D50266
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50266: 28.0.50; expand-file-name broken with non ASCII characters
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 30 Aug 2021 12:29:02 +0000
Resent-Message-ID: <handler.50266.B50266.16303264897558 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50266
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Joakim =?UTF-8?Q?H=C3=A5rsman?= <joakim.harsman@HIDDEN>
Cc: 50266 <at> debbugs.gnu.org
Received: via spool by 50266-submit <at> debbugs.gnu.org id=B50266.16303264897558
          (code B ref 50266); Mon, 30 Aug 2021 12:29:02 +0000
Received: (at 50266) by debbugs.gnu.org; 30 Aug 2021 12:28:09 +0000
Received: from localhost ([127.0.0.1]:58364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKgOX-0001xq-Ij
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 08:28:09 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mKgOU-0001xE-5L
 for 50266 <at> debbugs.gnu.org; Mon, 30 Aug 2021 08:28:08 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44298)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mKgOO-00084A-Gi; Mon, 30 Aug 2021 08:28:00 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1892
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mKgOM-0002gc-GT; Mon, 30 Aug 2021 08:28:00 -0400
Date: Mon, 30 Aug 2021 15:27:50 +0300
Message-Id: <83zgszjewp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <CAFJF9wVConq2b89-Wz+triiPkdjvK27zszfB8qkk6K=3j55VXA@HIDDEN>
 (message from Joakim =?UTF-8?Q?H=C3=A5rsman?= on Mon, 30 Aug 2021 14:08:29
 +0200)
References: <CAFJF9wVConq2b89-Wz+triiPkdjvK27zszfB8qkk6K=3j55VXA@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Joakim Hårsman <joakim.harsman@HIDDEN>
> Date: Mon, 30 Aug 2021 14:08:29 +0200
> 
> Bug manifests on Windows 10 ( I haven't tested other versions). Before starting emacs:
> 
> C:\Users\JoakimHårsman>chdir
> C:\Users\JoakimHårsman
> 
> C:\Users\JoakimHårsman>echo %HOME%
> C:\users\JoakimHårsman
> 
> C:\Users\JoakimHårsman> runemacs -Q
> 
> Notice that the current directory which is the same as the HOME
> environment, contains the letter å. After starting emacs with runemacs
> -Q:
> 
> (expand-file-name default-directory)
> 
> returns
> 
> "c:/users/JoakimH  rsman/"
> 
> or alternatively
> 
> "c:/users/JoakimH\303\245rsman/"

Is this limited to starting via runemacs, or starting "emacs -Q"
produces the same problem?

Thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50266: 28.0.50; expand-file-name broken with non ASCII characters
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 30 Aug 2021 13:42:02 +0000
Resent-Message-ID: <handler.50266.B50266.163033088317069 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50266
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Joakim =?UTF-8?Q?H=C3=A5rsman?= <joakim.harsman@HIDDEN>
Cc: 50266 <at> debbugs.gnu.org
Received: via spool by 50266-submit <at> debbugs.gnu.org id=B50266.163033088317069
          (code B ref 50266); Mon, 30 Aug 2021 13:42:02 +0000
Received: (at 50266) by debbugs.gnu.org; 30 Aug 2021 13:41:23 +0000
Received: from localhost ([127.0.0.1]:58499 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKhXP-0004RE-FB
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 09:41:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53136)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mKhXN-0004Ql-Cw
 for 50266 <at> debbugs.gnu.org; Mon, 30 Aug 2021 09:41:22 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46420)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mKhXI-0001jb-59; Mon, 30 Aug 2021 09:41:16 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2624
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mKhXH-0004Nh-Ow; Mon, 30 Aug 2021 09:41:16 -0400
Date: Mon, 30 Aug 2021 16:41:04 +0300
Message-Id: <83tuj7jbin.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <CAFJF9wWsAVO+zF3JSuOHLteGKgdY66YdRTSXp-AipEPo=-LX0g@HIDDEN>
 (message from Joakim =?UTF-8?Q?H=C3=A5rsman?= on Mon, 30 Aug 2021 15:36:06
 +0200)
References: <CAFJF9wVConq2b89-Wz+triiPkdjvK27zszfB8qkk6K=3j55VXA@HIDDEN>
 <83zgszjewp.fsf@HIDDEN>
 <CAFJF9wVByCaJsG6-CykjoRBF=RjmQ45rJAkz+uKan0RYMkV6kA@HIDDEN>
 <CAFJF9wWsAVO+zF3JSuOHLteGKgdY66YdRTSXp-AipEPo=-LX0g@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[Please use Reply All to keep the bug address on the CC list.]

> From: Joakim Hårsman <joakim.harsman@HIDDEN>
> Date: Mon, 30 Aug 2021 15:36:06 +0200
> 
> No wait, scratch that. Emacs -Q has the same error. I accidentally started 27.2 where it works.
> 
> On Mon, 30 Aug 2021 at 15:34, Joakim Hårsman <joakim.harsman@HIDDEN> wrote:
> 
>  emacs -Q works and returns the correct file name.

OK, thanks.  I guess we don't decode the file name somewhere.  Hmm...




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50266: 28.0.50; expand-file-name broken with non ASCII characters
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 02 Sep 2021 15:51:02 +0000
Resent-Message-ID: <handler.50266.B50266.163059785332353 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50266
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: joakim.harsman@HIDDEN
Cc: 50266 <at> debbugs.gnu.org
Received: via spool by 50266-submit <at> debbugs.gnu.org id=B50266.163059785332353
          (code B ref 50266); Thu, 02 Sep 2021 15:51:02 +0000
Received: (at 50266) by debbugs.gnu.org; 2 Sep 2021 15:50:53 +0000
Received: from localhost ([127.0.0.1]:41807 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLozK-0008Ph-0i
	for submit <at> debbugs.gnu.org; Thu, 02 Sep 2021 11:50:53 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39322)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mLozF-0008PS-TM
 for 50266 <at> debbugs.gnu.org; Thu, 02 Sep 2021 11:50:49 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37706)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mLozA-0003zn-Ko; Thu, 02 Sep 2021 11:50:40 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4470
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mLoz1-0003oP-HQ; Thu, 02 Sep 2021 11:50:38 -0400
Date: Thu, 02 Sep 2021 18:50:28 +0300
Message-Id: <83pmtryo1n.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <83tuj7jbin.fsf@HIDDEN> (message from Eli Zaretskii on Mon, 30
 Aug 2021 16:41:04 +0300)
References: <CAFJF9wVConq2b89-Wz+triiPkdjvK27zszfB8qkk6K=3j55VXA@HIDDEN>
 <83zgszjewp.fsf@HIDDEN>
 <CAFJF9wVByCaJsG6-CykjoRBF=RjmQ45rJAkz+uKan0RYMkV6kA@HIDDEN>
 <CAFJF9wWsAVO+zF3JSuOHLteGKgdY66YdRTSXp-AipEPo=-LX0g@HIDDEN>
 <83tuj7jbin.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 30 Aug 2021 16:41:04 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 50266 <at> debbugs.gnu.org
> 
> > From: Joakim Hårsman <joakim.harsman@HIDDEN>
> > Date: Mon, 30 Aug 2021 15:36:06 +0200
> > 
> > No wait, scratch that. Emacs -Q has the same error. I accidentally started 27.2 where it works.
> > 
> > On Mon, 30 Aug 2021 at 15:34, Joakim Hårsman <joakim.harsman@HIDDEN> wrote:
> > 
> >  emacs -Q works and returns the correct file name.
> 
> OK, thanks.  I guess we don't decode the file name somewhere.  Hmm...

Please try the latest master branch, I hope I fixed this.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 4 Sep 2021 07:00:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 03:00:21 2021
Received: from localhost ([127.0.0.1]:46307 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMPf3-0006Gd-8y
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 03:00:21 -0400
Received: from mail-pg1-f182.google.com ([209.85.215.182]:47003)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mMPf2-0006A0-Cz
 for control <at> debbugs.gnu.org; Sat, 04 Sep 2021 03:00:20 -0400
Received: by mail-pg1-f182.google.com with SMTP id w7so1211023pgk.13
 for <control <at> debbugs.gnu.org>; Sat, 04 Sep 2021 00:00:20 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=lYMmWq6QoYQlSo3fVrciSHsQ+jpM/mj0ss+V0+QcW8A=;
 b=b5Qf6nglSvDY65lq5Dd+zmeeqcMalGzkdhPIezZ/pzkIhQoaaVPlIMFnf8ALKrwGJ6
 H6Vqh3LGwJPF0GUidob+oWSmjrwd+D55fxjpQ4Tx7oAZSaH/Epvl+/ac2bceoACxnZ+U
 2oevUrSflOing7bt2jDDHI6/cECblmI65EfBfF1QTi89jBbHXMjHNuHZ0XX1Q8cVgJbh
 NaYJiz3xSMSd29Ssf/UH3rSQUXQiLqXkJFIksl6NQLOu0R86d/1SN9gvYGuGiFEsQ7mv
 0O9NOB4MehNoCRxOPvtfqlxuzJhwlVO2o0pz1Pox5f1f02Ca6mUnjeXguNIg90F3Z4nC
 apJw==
X-Gm-Message-State: AOAM533cF8SXpSTRl8Z82Wpd7A0SWHNvhXvucTEpbkVCon24bAn6PGDN
 jAOAGt8MUwq6r4I0cbaUpMWuZfdlPaXlWfSw/IP2Mekcnr4=
X-Google-Smtp-Source: ABdhPJxv26rYQ/KUYk0ApLJPiUCU1Rav/OtFG2H/drXNeYtZTT4vwtu1juAybjkloFtPXQzcRFI4H4bU2dtudrIJ4sU=
X-Received: by 2002:a63:2243:: with SMTP id t3mr2462653pgm.114.1630738814271; 
 Sat, 04 Sep 2021 00:00:14 -0700 (PDT)
MIME-Version: 1.0
From: Stefan Kangas <stefan@HIDDEN>
Date: Sat, 4 Sep 2021 09:00:03 +0200
Message-ID: <CADwFkmmZrW=kd72b+e0QTzXCor5uvxDJP6tLzXg+ZgVjAUbNvQ@HIDDEN>
Subject: 
To: control <control <at> debbugs.gnu.org>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: tags 50319 + moreinfo tags 50308 + moreinfo tags 50266 +
 fixed tags 50198 + moreinfo thanks 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stefankangas[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.215.182 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.215.182 listed in wl.mailspike.net]
 2.0 BLANK_SUBJECT          Subject is present but empty
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  tags 50319 + moreinfo tags 50308 + moreinfo tags 50266 + fixed
    tags 50198 + moreinfo thanks 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.215.182 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.215.182 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (stefankangas[at]gmail.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
                             mail domains are different
  2.0 BLANK_SUBJECT          Subject is present but empty
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
                             EnvelopeFrom freemail headers are
                             different
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

tags 50319 + moreinfo
tags 50308 + moreinfo
tags 50266 + fixed
tags 50198 + moreinfo
thanks




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50266: 28.0.50; expand-file-name broken with non ASCII characters
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 09 Sep 2021 17:19:02 +0000
Resent-Message-ID: <handler.50266.B50266.163120793425376 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50266
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: fixed
To: joakim.harsman@HIDDEN
Cc: 50266 <at> debbugs.gnu.org
Received: via spool by 50266-submit <at> debbugs.gnu.org id=B50266.163120793425376
          (code B ref 50266); Thu, 09 Sep 2021 17:19:02 +0000
Received: (at 50266) by debbugs.gnu.org; 9 Sep 2021 17:18:54 +0000
Received: from localhost ([127.0.0.1]:36132 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mONhN-0006bE-R7
	for submit <at> debbugs.gnu.org; Thu, 09 Sep 2021 13:18:54 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47978)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mONhM-0006ay-5E
 for 50266 <at> debbugs.gnu.org; Thu, 09 Sep 2021 13:18:52 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38966)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mONhH-0008Qz-05; Thu, 09 Sep 2021 13:18:47 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1201
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mONhG-0003vp-GN; Thu, 09 Sep 2021 13:18:46 -0400
Date: Thu, 09 Sep 2021 20:18:41 +0300
Message-Id: <83sfydk6q6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <83pmtryo1n.fsf@HIDDEN> (message from Eli Zaretskii on Thu, 02
 Sep 2021 18:50:28 +0300)
References: <CAFJF9wVConq2b89-Wz+triiPkdjvK27zszfB8qkk6K=3j55VXA@HIDDEN>
 <83zgszjewp.fsf@HIDDEN>
 <CAFJF9wVByCaJsG6-CykjoRBF=RjmQ45rJAkz+uKan0RYMkV6kA@HIDDEN>
 <CAFJF9wWsAVO+zF3JSuOHLteGKgdY66YdRTSXp-AipEPo=-LX0g@HIDDEN>
 <83tuj7jbin.fsf@HIDDEN> <83pmtryo1n.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ping!  Did you have time to try the fixed code now in the master
branch?

> Resent-From: Eli Zaretskii <eliz@HIDDEN>
> Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
> Resent-CC: bug-gnu-emacs@HIDDEN
> Resent-Sender: help-debbugs@HIDDEN
> Date: Thu, 02 Sep 2021 18:50:28 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 50266 <at> debbugs.gnu.org
> 
> > Date: Mon, 30 Aug 2021 16:41:04 +0300
> > From: Eli Zaretskii <eliz@HIDDEN>
> > Cc: 50266 <at> debbugs.gnu.org
> > 
> > > From: Joakim Hårsman <joakim.harsman@HIDDEN>
> > > Date: Mon, 30 Aug 2021 15:36:06 +0200
> > > 
> > > No wait, scratch that. Emacs -Q has the same error. I accidentally started 27.2 where it works.
> > > 
> > > On Mon, 30 Aug 2021 at 15:34, Joakim Hårsman <joakim.harsman@HIDDEN> wrote:
> > > 
> > >  emacs -Q works and returns the correct file name.
> > 
> > OK, thanks.  I guess we don't decode the file name somewhere.  Hmm...
> 
> Please try the latest master branch, I hope I fixed this.
> 
> 
> 
> 




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50266: 28.0.50; expand-file-name broken with non ASCII characters
Resent-From: Joakim =?UTF-8?Q?H=C3=A5rsman?= <joakim.harsman@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 11 Sep 2021 10:43:01 +0000
Resent-Message-ID: <handler.50266.B50266.163135693813735 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50266
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: fixed
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 50266 <at> debbugs.gnu.org
Received: via spool by 50266-submit <at> debbugs.gnu.org id=B50266.163135693813735
          (code B ref 50266); Sat, 11 Sep 2021 10:43:01 +0000
Received: (at 50266) by debbugs.gnu.org; 11 Sep 2021 10:42:18 +0000
Received: from localhost ([127.0.0.1]:39585 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mP0Sf-0003ZT-TR
	for submit <at> debbugs.gnu.org; Sat, 11 Sep 2021 06:42:18 -0400
Received: from mail-pj1-f45.google.com ([209.85.216.45]:37833)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joakim.harsman@HIDDEN>) id 1mP0Sd-0003ZF-JC
 for 50266 <at> debbugs.gnu.org; Sat, 11 Sep 2021 06:42:16 -0400
Received: by mail-pj1-f45.google.com with SMTP id
 j10-20020a17090a94ca00b00181f17b7ef7so3262798pjw.2
 for <50266 <at> debbugs.gnu.org>; Sat, 11 Sep 2021 03:42:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=578cECyCXn7DqMeqU13UErFIsCslZzezwsjbbk4qk6g=;
 b=modzeEUa5L7eci3vAdM0k24WjuJsCNuYC5Smtci9ECW4GfqdyGR/jfcz8jQXOfz3el
 gpBDyuk0pFvfNttyCR3V/LggvWJfALkWDv9xPTMtj8nN4dQQR2HZgQOF3FtaL4amBIfs
 umTymjOOPLpoXPui1mNhklvgryCWreFaztaCOdCQmzEzK4JEvD+7EYgSc1jHhbZO9zZj
 kvXqpRZ0zdO8hPbKUnSwAGZ4Jm31GUMaBqzha8lzV5axQ1hK3vOd8XC/QoPWcj2HLLXw
 ByGc67IlUYe6bPPxi2fjk0736lWvDsP8SPAqI0Ygae1XhbjRnbAlrwSjBSXPR+2XvO+f
 a1dQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=578cECyCXn7DqMeqU13UErFIsCslZzezwsjbbk4qk6g=;
 b=7xLg7Gi496w6iHgbNhzk2hQvzw8Dgs+LPC9uqcVijA0LOBYlRrwnfm879ilgp0w7eM
 yyHahUY/gX2LDkS7hmOwjpJF7jo4AdQHlgMthsSTsAJKlD9a/WTpBhoJilnMMYKF0a9u
 7ME+XZa4HqzEA7viAUjiF/NHlpF8pc+LMEJoIcaDaUo9eJ9MAYLjM2DLeDMxkgbx20y7
 4hPYcFG6ZuBO86c5YvbXNdoct/mjr6qDuIaoYcugYWOuA5XLKgwsjdBV3+L7vS/oa0ME
 onUd2mqmiFrqBZkdOlgvlx2411ToG+yr4EsGSPHDfYOaOr2/aXfHq4ni+VvIUkyQlryl
 6yxA==
X-Gm-Message-State: AOAM531STV5i81Cmt6UDXKiyGknrvZuDIgYb27MEHpLftKZ4Z8Z4w4qA
 cDE/taNCFnX0oZTkLNFojarT/j18I/NUcm79yUQkKdCH
X-Google-Smtp-Source: ABdhPJwi1TgsHDlFzMydzx2NKE3f94VjWnO8/Bp5BET/wZnn7CPRlt6WrMZlc8QcbEB9+2ZDVawUp60+D00tepozwQs=
X-Received: by 2002:a17:90a:aa10:: with SMTP id
 k16mr2329960pjq.207.1631356929557; 
 Sat, 11 Sep 2021 03:42:09 -0700 (PDT)
MIME-Version: 1.0
References: <CAFJF9wVConq2b89-Wz+triiPkdjvK27zszfB8qkk6K=3j55VXA@HIDDEN>
 <83zgszjewp.fsf@HIDDEN>
 <CAFJF9wVByCaJsG6-CykjoRBF=RjmQ45rJAkz+uKan0RYMkV6kA@HIDDEN>
 <CAFJF9wWsAVO+zF3JSuOHLteGKgdY66YdRTSXp-AipEPo=-LX0g@HIDDEN>
 <83tuj7jbin.fsf@HIDDEN> <83pmtryo1n.fsf@HIDDEN> <83sfydk6q6.fsf@HIDDEN>
In-Reply-To: <83sfydk6q6.fsf@HIDDEN>
From: Joakim =?UTF-8?Q?H=C3=A5rsman?= <joakim.harsman@HIDDEN>
Date: Sat, 11 Sep 2021 12:41:58 +0200
Message-ID: <CAFJF9wW+vUXGfsatLTHJ6KDFt7i6z_6JvQ-XWOncA6ERZD8APg@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000049ca4305cbb5e263"
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000049ca4305cbb5e263
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Sorry, I haven=E2=80=99t had the time to do a build and try your fix yet. L=
ast time
I used a snapshot someone  else built, so I have to install all the build
tools first.

tors 9 sep. 2021 kl. 19:18 skrev Eli Zaretskii <eliz@HIDDEN>:

> Ping!  Did you have time to try the fixed code now in the master
> branch?
>
> > Resent-From: Eli Zaretskii <eliz@HIDDEN>
> > Original-Sender: "Debbugs-submit" <
> debbugs-submit-bounces <at> debbugs.gnu.org>
> > Resent-CC: bug-gnu-emacs@HIDDEN
> > Resent-Sender: help-debbugs@HIDDEN
> > Date: Thu, 02 Sep 2021 18:50:28 +0300
> > From: Eli Zaretskii <eliz@HIDDEN>
> > Cc: 50266 <at> debbugs.gnu.org
> >
> > > Date: Mon, 30 Aug 2021 16:41:04 +0300
> > > From: Eli Zaretskii <eliz@HIDDEN>
> > > Cc: 50266 <at> debbugs.gnu.org
> > >
> > > > From: Joakim H=C3=A5rsman <joakim.harsman@HIDDEN>
> > > > Date: Mon, 30 Aug 2021 15:36:06 +0200
> > > >
> > > > No wait, scratch that. Emacs -Q has the same error. I accidentally
> started 27.2 where it works.
> > > >
> > > > On Mon, 30 Aug 2021 at 15:34, Joakim H=C3=A5rsman <
> joakim.harsman@HIDDEN> wrote:
> > > >
> > > >  emacs -Q works and returns the correct file name.
> > >
> > > OK, thanks.  I guess we don't decode the file name somewhere.  Hmm...
> >
> > Please try the latest master branch, I hope I fixed this.
> >
> >
> >
> >
>

--00000000000049ca4305cbb5e263
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">Sorry, I haven=E2=80=99t had the time to do a build and t=
ry your fix yet. Last time I used a snapshot someone =C2=A0else built, so I=
 have to install all the build tools first.=C2=A0</div><div><br><div class=
=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">tors 9 sep. 2021 kl.=
 19:18 skrev Eli Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN">eliz@HIDDEN=
</a>&gt;:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 =
.8ex;border-left:1px #ccc solid;padding-left:1ex">Ping!=C2=A0 Did you have =
time to try the fixed code now in the master<br>
branch?<br>
<br>
&gt; Resent-From: Eli Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN" target=
=3D"_blank">eliz@HIDDEN</a>&gt;<br>
&gt; Original-Sender: &quot;Debbugs-submit&quot; &lt;<a href=3D"mailto:debb=
ugs-submit-bounces <at> debbugs.gnu.org" target=3D"_blank">debbugs-submit-bounce=
s <at> debbugs.gnu.org</a>&gt;<br>
&gt; Resent-CC: <a href=3D"mailto:bug-gnu-emacs@HIDDEN" target=3D"_blank">=
bug-gnu-emacs@HIDDEN</a><br>
&gt; Resent-Sender: <a href=3D"mailto:help-debbugs@HIDDEN" target=3D"_blan=
k">help-debbugs@HIDDEN</a><br>
&gt; Date: Thu, 02 Sep 2021 18:50:28 +0300<br>
&gt; From: Eli Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN" target=3D"_bla=
nk">eliz@HIDDEN</a>&gt;<br>
&gt; Cc: <a href=3D"mailto:50266 <at> debbugs.gnu.org" target=3D"_blank">50266@d=
ebbugs.gnu.org</a><br>
&gt; <br>
&gt; &gt; Date: Mon, 30 Aug 2021 16:41:04 +0300<br>
&gt; &gt; From: Eli Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN" target=3D=
"_blank">eliz@HIDDEN</a>&gt;<br>
&gt; &gt; Cc: <a href=3D"mailto:50266 <at> debbugs.gnu.org" target=3D"_blank">50=
266 <at> debbugs.gnu.org</a><br>
&gt; &gt; <br>
&gt; &gt; &gt; From: Joakim H=C3=A5rsman &lt;<a href=3D"mailto:joakim.harsm=
an@HIDDEN" target=3D"_blank">joakim.harsman@HIDDEN</a>&gt;<br>
&gt; &gt; &gt; Date: Mon, 30 Aug 2021 15:36:06 +0200<br>
&gt; &gt; &gt; <br>
&gt; &gt; &gt; No wait, scratch that. Emacs -Q has the same error. I accide=
ntally started 27.2 where it works.<br>
&gt; &gt; &gt; <br>
&gt; &gt; &gt; On Mon, 30 Aug 2021 at 15:34, Joakim H=C3=A5rsman &lt;<a hre=
f=3D"mailto:joakim.harsman@HIDDEN" target=3D"_blank">joakim.harsman@gmai=
l.com</a>&gt; wrote:<br>
&gt; &gt; &gt; <br>
&gt; &gt; &gt;=C2=A0 emacs -Q works and returns the correct file name.<br>
&gt; &gt; <br>
&gt; &gt; OK, thanks.=C2=A0 I guess we don&#39;t decode the file name somew=
here.=C2=A0 Hmm...<br>
&gt; <br>
&gt; Please try the latest master branch, I hope I fixed this.<br>
&gt; <br>
&gt; <br>
&gt; <br>
&gt; <br>
</blockquote></div></div>

--00000000000049ca4305cbb5e263--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50266: 28.0.50; expand-file-name broken with non ASCII characters
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 11 Sep 2021 11:45:01 +0000
Resent-Message-ID: <handler.50266.B50266.163136068528038 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50266
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: fixed
To: Joakim =?UTF-8?Q?H=C3=A5rsman?= <joakim.harsman@HIDDEN>
Cc: 50266 <at> debbugs.gnu.org
Received: via spool by 50266-submit <at> debbugs.gnu.org id=B50266.163136068528038
          (code B ref 50266); Sat, 11 Sep 2021 11:45:01 +0000
Received: (at 50266) by debbugs.gnu.org; 11 Sep 2021 11:44:45 +0000
Received: from localhost ([127.0.0.1]:39622 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mP1R7-0007IA-D4
	for submit <at> debbugs.gnu.org; Sat, 11 Sep 2021 07:44:45 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54742)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mP1R5-0007Hy-GH
 for 50266 <at> debbugs.gnu.org; Sat, 11 Sep 2021 07:44:43 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59912)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mP1Qz-0005r9-Oz; Sat, 11 Sep 2021 07:44:38 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3669
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mP1Qz-0000sB-Bj; Sat, 11 Sep 2021 07:44:37 -0400
Date: Sat, 11 Sep 2021 14:44:23 +0300
Message-Id: <83pmtfgwvc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <CAFJF9wW+vUXGfsatLTHJ6KDFt7i6z_6JvQ-XWOncA6ERZD8APg@HIDDEN>
 (message from Joakim =?UTF-8?Q?H=C3=A5rsman?= on Sat, 11 Sep 2021 12:41:58
 +0200)
References: <CAFJF9wVConq2b89-Wz+triiPkdjvK27zszfB8qkk6K=3j55VXA@HIDDEN>
 <83zgszjewp.fsf@HIDDEN>
 <CAFJF9wVByCaJsG6-CykjoRBF=RjmQ45rJAkz+uKan0RYMkV6kA@HIDDEN>
 <CAFJF9wWsAVO+zF3JSuOHLteGKgdY66YdRTSXp-AipEPo=-LX0g@HIDDEN>
 <83tuj7jbin.fsf@HIDDEN> <83pmtryo1n.fsf@HIDDEN> <83sfydk6q6.fsf@HIDDEN>
 <CAFJF9wW+vUXGfsatLTHJ6KDFt7i6z_6JvQ-XWOncA6ERZD8APg@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Joakim Hårsman <joakim.harsman@HIDDEN>
> Date: Sat, 11 Sep 2021 12:41:58 +0200
> Cc: 50266 <at> debbugs.gnu.org
> 
> Sorry, I haven’t had the time to do a build and try your fix yet. Last time I used a snapshot someone  else
> built, so I have to install all the build tools first. 

OK, take your time, and thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50266: 28.0.50; expand-file-name broken with non ASCII characters
Resent-From: Joakim =?UTF-8?Q?H=C3=A5rsman?= <joakim.harsman@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 05 Oct 2021 13:38:02 +0000
Resent-Message-ID: <handler.50266.B50266.16334410291492 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50266
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: fixed
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 50266 <at> debbugs.gnu.org
Received: via spool by 50266-submit <at> debbugs.gnu.org id=B50266.16334410291492
          (code B ref 50266); Tue, 05 Oct 2021 13:38:02 +0000
Received: (at 50266) by debbugs.gnu.org; 5 Oct 2021 13:37:09 +0000
Received: from localhost ([127.0.0.1]:39391 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mXkd3-0000Nz-DP
	for submit <at> debbugs.gnu.org; Tue, 05 Oct 2021 09:37:09 -0400
Received: from mail-pf1-f176.google.com ([209.85.210.176]:33741)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joakim.harsman@HIDDEN>) id 1mXkcy-0000NK-6B
 for 50266 <at> debbugs.gnu.org; Tue, 05 Oct 2021 09:37:07 -0400
Received: by mail-pf1-f176.google.com with SMTP id s16so17485378pfk.0
 for <50266 <at> debbugs.gnu.org>; Tue, 05 Oct 2021 06:37:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=C99VMSajO+VA2e85W1oIhWseb6pHE8vPfz4JYbkz4mU=;
 b=E4Iy/yxOT5Gu3Uw4E7JYgVZx+6FZVQkUCYivFvL+NNTmAqu/HIWCtWUTfKH+LvsH5S
 uJ+iOckBnWJnBjOSgg5FTzhP8+OrRr2/K+G1qOcnHTQwl1fKl5bU+yHVtxV8eBF5mc5R
 m4VfXawEmdyK/3QCqh/v3AG/kT01w3saZZCz+zYXvseFsnOntbLRCDtBFfTSRCL2mOwX
 ifOI8ZO0D4BQXxn+PFO7Dab5l+Sr9/jHGQdGmWaFErddiKwS+KBU9ESbxNb9+4C9BNYw
 xRwUMRbR4rlBCEWzXxXOw9fmtY0xQ+Lq0eFP/sNydhvdHQ3N1ckZ6XPZ3VMAg2FOz84D
 C08A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=C99VMSajO+VA2e85W1oIhWseb6pHE8vPfz4JYbkz4mU=;
 b=Xq9Ti/Yuzs/WhCUS62IK6VD0piXu5xTkf+NrOYhrPk9GPIZ8Z3SY+hFl/SALgA5kt+
 K+m4KRDgT0ufbLbl9zSeyZfe8EuHHRb2bZwv0EGA42/Ui1RKFy2FWDqrm5egeV+OQAN1
 aIdOmQp+hb5B+rht3RrpHxxUs3KC/rO6HW3K2LvG5/VQ0v6r7Wo/SMFkbPMZ+S5ceJuG
 r9+OyBDv3FEazfy1oCchGjULxZdy9gGGd2U0drX5QVlDgRoKyIRsK4vcvEe76LVZNw7Y
 JNoCoDWUkgsrU6Rg5/73u2RK0LSpqhKbbI8k6QXf9WiQuKVEPqB+3rsyoB+pDUCFaSI2
 jzWg==
X-Gm-Message-State: AOAM531H2hfXUma64JPcXVsDyiCv3t1YKlBx8LK4YqDIE5CDt6+DVB47
 gziqrNb0+dvGtcwVEGG06h1mwYftSjkXQlfin7JKfVOUjd4=
X-Google-Smtp-Source: ABdhPJyuYw2JigEZ2xLjUWLPDFbBIkJoxETivdLkM5wj+U1p7T/JY9y3qiJBuKDaTbVbOE45fBlLndnc3SKuuko1Xek=
X-Received: by 2002:a05:6a00:16cb:b0:44b:bd38:e068 with SMTP id
 l11-20020a056a0016cb00b0044bbd38e068mr32090147pfc.34.1633441018228; Tue, 05
 Oct 2021 06:36:58 -0700 (PDT)
MIME-Version: 1.0
References: <CAFJF9wVConq2b89-Wz+triiPkdjvK27zszfB8qkk6K=3j55VXA@HIDDEN>
 <83zgszjewp.fsf@HIDDEN>
 <CAFJF9wVByCaJsG6-CykjoRBF=RjmQ45rJAkz+uKan0RYMkV6kA@HIDDEN>
 <CAFJF9wWsAVO+zF3JSuOHLteGKgdY66YdRTSXp-AipEPo=-LX0g@HIDDEN>
 <83tuj7jbin.fsf@HIDDEN> <83pmtryo1n.fsf@HIDDEN> <83sfydk6q6.fsf@HIDDEN>
 <CAFJF9wW+vUXGfsatLTHJ6KDFt7i6z_6JvQ-XWOncA6ERZD8APg@HIDDEN>
 <83pmtfgwvc.fsf@HIDDEN>
In-Reply-To: <83pmtfgwvc.fsf@HIDDEN>
From: Joakim =?UTF-8?Q?H=C3=A5rsman?= <joakim.harsman@HIDDEN>
Date: Tue, 5 Oct 2021 15:36:47 +0200
Message-ID: <CAFJF9wWfLZeJxGPkea3we+Qopnq9QKNFiAQdbbYUsGMCgK5EvA@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000a7346405cd9b1f6a"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000a7346405cd9b1f6a
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

I finally had the time to try this and with the latest snapshot everything
works! Sorry for the delay in testing and thanks for the prompt fix.

Here's the version I tested with if it matters:

In GNU Emacs 29.0.50 (build 1, x86_64-w64-mingw32)
Repository revision: 44c13eefe8d30841000a96d82f467fb8d222e365
Repository branch: master
Windowing system distributor 'Microsoft Corp.', version 10.0.19043
System Description: Microsoft Windows 10 Pro (v10.0.2009.19043.1237)

Configured using:
 'configure --prefix=3D/d/a/emacs-build/emacs-build/pkg/master-x86_64
 CFLAGS=3D-O2 --with-native-compilation --with-zlib --with-gnutls
 --with-xml2 --with-lcms2 --with-json --with-harfbuzz --without-cairo
 --with-rsvg --with-png --with-gif --without-tiff --with-jpeg --with-xpm
 --disable-build-details --without-dbus --without-compress-install'

Configured features:
ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND THREADS TOOLKIT_SCROLL_BARS XPM
ZLIB

Important settings:
  value of $LC_ALL: en_US.UTF8
  value of $LANG: en_US.UTF8
  locale-coding-system: cp1252

On Sat, 11 Sept 2021 at 13:44, Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Joakim H=C3=A5rsman <joakim.harsman@HIDDEN>
> > Date: Sat, 11 Sep 2021 12:41:58 +0200
> > Cc: 50266 <at> debbugs.gnu.org
> >
> > Sorry, I haven=E2=80=99t had the time to do a build and try your fix ye=
t. Last
> time I used a snapshot someone  else
> > built, so I have to install all the build tools first.
>
> OK, take your time, and thanks.
>

--000000000000a7346405cd9b1f6a
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>I finally had the time to try this and with the lates=
t snapshot everything works! Sorry for the delay in testing and thanks for =
the prompt fix.</div><div><br></div><div>Here&#39;s the version I tested wi=
th if it matters:</div><div><br></div><div>In GNU Emacs 29.0.50 (build 1, x=
86_64-w64-mingw32)<br>Repository revision: 44c13eefe8d30841000a96d82f467fb8=
d222e365<br>Repository branch: master<br>Windowing system distributor &#39;=
Microsoft Corp.&#39;, version 10.0.19043<br>System Description: Microsoft W=
indows 10 Pro (v10.0.2009.19043.1237)<br><br>Configured using:<br>=C2=A0&#3=
9;configure --prefix=3D/d/a/emacs-build/emacs-build/pkg/master-x86_64<br>=
=C2=A0CFLAGS=3D-O2 --with-native-compilation --with-zlib --with-gnutls<br>=
=C2=A0--with-xml2 --with-lcms2 --with-json --with-harfbuzz --without-cairo<=
br>=C2=A0--with-rsvg --with-png --with-gif --without-tiff --with-jpeg --wit=
h-xpm<br>=C2=A0--disable-build-details --without-dbus --without-compress-in=
stall&#39;<br><br>Configured features:<br>ACL GIF GMP GNUTLS HARFBUZZ JPEG =
JSON LCMS2 LIBXML2 MODULES NATIVE_COMP<br>NOTIFY W32NOTIFY PDUMPER PNG RSVG=
 SOUND THREADS TOOLKIT_SCROLL_BARS XPM<br>ZLIB<br><br>Important settings:<b=
r>=C2=A0 value of $LC_ALL: en_US.UTF8<br>=C2=A0 value of $LANG: en_US.UTF8<=
br>=C2=A0 locale-coding-system: cp1252<br></div></div><br><div class=3D"gma=
il_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Sat, 11 Sept 2021 at 13:=
44, Eli Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; =
wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0=
px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">&gt; From=
: Joakim H=C3=A5rsman &lt;<a href=3D"mailto:joakim.harsman@HIDDEN" targe=
t=3D"_blank">joakim.harsman@HIDDEN</a>&gt;<br>
&gt; Date: Sat, 11 Sep 2021 12:41:58 +0200<br>
&gt; Cc: <a href=3D"mailto:50266 <at> debbugs.gnu.org" target=3D"_blank">50266@d=
ebbugs.gnu.org</a><br>
&gt; <br>
&gt; Sorry, I haven=E2=80=99t had the time to do a build and try your fix y=
et. Last time I used a snapshot someone=C2=A0 else<br>
&gt; built, so I have to install all the build tools first. <br>
<br>
OK, take your time, and thanks.<br>
</blockquote></div>

--000000000000a7346405cd9b1f6a--





Last modified: Tue, 5 Oct 2021 13:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.